Gnome 2.2


#1

Salut

:bulb:

J’avais un petit problème aussi avec Alsa mais apres quelque éssai, j’ai le son.
J’ai fait l’insatallation de la Debian 3.0.r0 en suivant la formation de Debian, c’ets un document que j’ai télécharger sur net via.ecp.fr/~alexis/formation-linux/.
J’ai compiler mon noyau en suivant le cour et je suis passer au noyau 2.4.20 avant j’avais la 2.4.18.bf2.4, j’ai installer Xmms, Galeon, Vlc, et Xterm, Gnome1.4 et Sawfish.
Et tout fonctionne bien, je voudrais installer Gnome 2.2 mais avec la commande apt-get c’est plus facille.
Je voudrais savoir savoir la commande qui faut mettre apres apt-get ?
Parceque j’ai fait une test sur une machine de mon travail en mettant dans le fichier sources.lis les deux adresses mirror.raw.no/ gnome2.2/
et le resultat n’etait pas au rendez-vous.
Il ma bien fait la mise a jour mais j’avais que Sawfish au demarrage et j’ai pas éditer le fichier /etc/X11/xinit/xinitrc en ajoutant gnome-session.
Parceque je l’avais fait pour l’installation de Gnome 1.4
En cour on fait du c et du c++ mais si je suis plus réseau et je voudrais aussi installer un programme pour.
Un pote ma conseille Anjuta.
Et je voudrais savoir si je tape en commande apt-get Anjuta ?

Merci


#2

pour chercher un programme dans l’arbre apt, il faut utiliser la commande apt-cache.

Par exemple, pour chercher un package, conteant apache:

apt-cache search apache

pour ton programme, c’est pareil. Pour programmer, je doutes tres fortement qu’il existe un meilleur éditeur qu’emacs (apt-get install emacs21) …

Pour Gnome2.2, c’est un peu plus complexe; quoi que!
Il te faut passer en debian unstable.
Pour ce, il te faut éditer le fichier /etc/apt/source.list , modifier de stable, vers unstable, les lignes non commentées, sauver le fichier, pi un dist-upgrade:

apt-get update && apt-get dist-upgrade -u

Have Fun!


#3

Salut

Merci Ed pour ton aide :smiley:

Ok pour apt-cash search.

Sur Windows ont utilisent Dev Cpp, et je voudrais un programme de ce style. Emacs c’est pas un éditeur comme Vi ?.

Et pour Gnome je vais attendre, comme on dit temps que sa fonctionne.

Je vais attendre que Gnome 2.2 soit en stable.

Et quand Gnome 2.2 sera en stable pour la Woody ou autre c’est la commande apt-get ou je doit ajouter l’adresse dans le fichier sources.list pour la mise à jour ?

Merci


#4

oula gnome 2.2 en stable, tu va attendre au moins 1 an…

pour ton environnement de developpement, rien de mieux qu’un vrai éditeur, tel qu’emacs, la rolls des éditeurs (et il ne se limite pas a ca dutout, comme par exemple avec gnus, fabuleux lecteur de mail/news…)


#5

Salut.

Pas grave pour gnome 2.2 toi tu utilises quoi ?
Et tant que gnome 1.4 fonctionne et me satifait y’a pas de probleme.
Un automatisme de Windows on cherche toujour la dernier version.
Gnome 1.4 est pas mâle non plus.
Bon je retourne finir de configuré la Debian.
J’ai acheter la Mandrake, maitenant que j’ai installer la Debian j’ai plus beaucoup d’interet pour la Mandrake.
Je vais la recevoir dans quelque jours, elle est bien mais avec la debian c’est plus la main dans le cambrit.

A+


#6

[quote=“gwadboy”]Salut.

Pas grave pour gnome 2.2 toi tu utilises quoi ?
Et tant que gnome 1.4 fonctionne et me satifait y’a pas de probleme.
Un automatisme de Windows on cherche toujour la dernier version.
Gnome 1.4 est pas mâle non plus.
Bon je retourne finir de configuré la Debian.
J’ai acheter la Mandrake, maitenant que j’ai installer la Debian j’ai plus beaucoup d’interet pour la Mandrake.
Je vais la recevoir dans quelque jours, elle est bien mais avec la debian c’est plus la main dans le cambrit.

A+[/quote]

J’utilise des parties de gnome2, des parties de KDE, et plein d’autres logiciels sympa; style gkrellm, …

Sinon, gnome2.2 est drolement mieux que gnome 1.4; et surtout moins buggué…
L’upgrade de ta distribution est une chose simple, et ne devrais pas te faire peur, …

ouai, en effet, sous debian, on configure plus, et c’est tant mieux, comme ca on a un systeme sur mesure :stuck_out_tongue:


#7

[quote=“ed”][quote=“gwadboy”]Salut.

Pas grave pour gnome 2.2 toi tu utilises quoi ?
Et tant que gnome 1.4 fonctionne et me satifait y’a pas de probleme.
Un automatisme de Windows on cherche toujour la dernier version.
Gnome 1.4 est pas mâle non plus.
Bon je retourne finir de configuré la Debian.
J’ai acheter la Mandrake, maitenant que j’ai installer la Debian j’ai plus beaucoup d’interet pour la Mandrake.
Je vais la recevoir dans quelque jours, elle est bien mais avec la debian c’est plus la main dans le cambrit.

A+[/quote]

J’utilise des parties de gnome2, des parties de KDE, et plein d’autres logiciels sympa; style gkrellm, …

Sinon, gnome2.2 est drolement mieux que gnome 1.4; et surtout moins buggué…
L’upgrade de ta distribution est une chose simple, et ne devrais pas te faire peur, …

ouai, en effet, sous debian, on configure plus, et c’est tant mieux, comme ca on a un systeme sur mesure :p[/quote]

Ok, c’est bien la commande apt-get dist-upgrade ?
Avec cette commande Gnome 1.4 passera à Gnome 2 et ajouteras quoi encore ?


#8

comme je l’ai dit plus tot, il faut modifier ton /etc/apt/source.list pour remplacer la ou il ya écris “stable” ou “woody” en unstable, faire un apt-get, et enfin un apt-get dist-upgrade

Cette commande permet de changer de release de la debian. Attention unstable en debian, ca doit correspondre a peu pres a une mandrake “stable” :stuck_out_tongue: donc faut pas trop être effrayer…

Ca installe rien d’autre, ca met a jour tout tes programmes, c’est tout :stuck_out_tongue:


#9

[quote=“ed”]comme je l’ai dit plus tot, il faut modifier ton /etc/apt/source.list pour remplacer la ou il ya écris “stable” ou “woody” en unstable, faire un apt-get, et enfin un apt-get dist-upgrade

Cette commande permet de changer de release de la debian. Attention unstable en debian, ca doit correspondre a peu pres a une mandrake “stable” :stuck_out_tongue: donc faut pas trop être effrayer…

Ca installe rien d’autre, ca met a jour tout tes programmes, c’est tout :p[/quote]

Y’a un problème pour la version unstable l’adresse dans le fichier sources.list pour la securité (deb http://) n’ai pas bonne je pour avoir la bonne si non j’ai Gnome 2.2.


#10
  1. parler francais

  2. debian security n’existe pas en unstable, laisse le en stable ^^

:slightly_smiling:


#11

j’ai pas testé mais c possible de l’avoir simplement avec apt-get

faut modifier le sources.list

deb people.debian.org/~kov/debian woody gnome2
deb-src people.debian.org/~kov/debian woody gnome2

puis

apt-get update
apt-get install gnome gdm2

source : sukria.net/comment.php?news=161


#12

Moi j’ai testé! Et ça a bien marché. Par contre c’était cette source là :
http://people.debian.org/~walters/gnome2.html


#13

Moi j’ai testé! Et ça a bien marché. Par contre c’était cette source là :
http://people.debian.org/~walters/gnome2.html[/quote]

Merci pour l’information.
Au passage je fais du langage c en cours et j’utilise Dev Cpp sur windows en cours. Tous les postes de la salle informatique sont sur Linux Redhat et Windows 2000. Et sur Redhat y’a un pote qui utilise Anjuta et moi je cherche un logiciel équivalent. Ed ma conseille Emacs21 mais il est un peut dur pour un débutant comme moi.
Donc si tu connais un logiciel pour faire du langage c facile et intuitive tu me dis.

A+ :bulb:


#14

Moi j’ai testé! Et ça a bien marché. Par contre c’était cette source là :
http://people.debian.org/~walters/gnome2.html[/quote]

Une question ton Gnome il est en français ?
Et c’est bien cette adresse ?
deb ftp.acc.umu.se/mirror/mirrors.ev … orts/woody gnome2.2/
deb-src ftp.acc.umu.se/mirror/mirrors.ev … orts/woody gnome2.2/

Et quelle commande ta taper apres apt-get update?


#15

Tout est écrit sur le lien que je t’ai donné! Et oui mon gnome est en français.